<?php
include_once("incs/conf.php");
include_once("incs/fmysql.php");
include_once("incs/fnc.php");
include_once("incs/head.php");

$act=fil($_GET['act']);

$ban_ok=$user[ban]-$time;
if($ban_ok>0){
echo "Вы забанены по причине:<br>";
echo "<b>$user[ban_prich]</b><br>";
echo "До окончания бана осталось: $ban_ok сек.<br>";
echo "Старайтесь больше не нарушать <a href=\"../rules.php\">правила</a> сайта!<br>";
include_once("incs/down.php");
}

switch($act){

case'one':
head("Помощь - Первые шаги",$meuser,$auth);
echo "<div class='rowup'>";
include_once("incs/title.php");
echo "<a href=\"help.php\">Помощь</a> - Первые шаги</div>";

echo "Раздел в розроботке!";

include_once("incs/down.php");
break;

}

head("Помощь",$meuser,$auth);
echo "<div class='rowup'>";
include_once("incs/title.php");
echo "Помощь</div>";

echo "<div class=\"menu\"><img src=\"/img/help.png\" alt=\"image\"/> <a href=\"help.php?act=one\">Первые шаги</a></div>";

echo "<div class='rowup'>ONLINE-помощники:</div>";

$k_post = mysql_num_rows(mysql_query("SELECT id FROM `user` WHERE `online_pom` = '1'"));
if ($k_post==0)
{
echo "Нет online-помощников<br>";
}

if($on==1){
$end=$user[msg_for_page];
}else{
$end=10;}
$skok_pages=ceil($k_post/$end);

if(!isset($_GET['page'])){
$page=1;
}else{
$page=intval($_GET['page']);
if($page<1){$page=1;}
if($page>$skok_pages){$page=1;}
}
if($_GET['page']=='end'){
$page=$skok_pages;}
if($page==1 OR $page<1){
$start=0;
}else{
$start=($page-1)*$end;
}

$onl_pom=mysql_query("SELECT * FROM `user` WHERE `online_pom` = '1' ORDER BY `date_last` DESC LIMIT $start,$end");
while ($online_pom = mysql_fetch_array($onl_pom))
{
if($num==1){ 
echo "<div class='reki'>"; 
$num=0;
}else{ 
echo "<div class='rek'>"; 
$num=1;}
if($online_pom[date_last]>($time-600)){
echo "<img src=\"styles/img/online.gif\" alt=\"image\"/> ";
}else{
echo "<img src=\"styles/img/offline.gif\" alt=\"image\"/> ";}
echo "<a href='my.php?id=$online_pom[id]'>$online_pom[nick]</a> - <a href='mail.php?id=$online_pom[id]'>Написать</a><br>";
echo "</div>";
}

if($skok_pages>1){
for($i=1;$i<=$skok_pages;$i++){
if($i==$page){
echo "<span class=\"str_t\">$i</span>";
}else{
echo "<span class=\"str_l\"><a href='?page=$i'>$i</a></span>";
}}}

include_once("incs/down.php");
?>